CVE-2004-1482
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:41:31
NMCO    

[原文]The sbuf_getmsg function in BNC incorrectly handles backspace characters, which could allow remote attackers to bypass authentication and gain access to arbitrary scripts.


[CNNVD]BNC后退键处理远程任意BNC命令执行漏洞(CNNVD-200412-946)

        
        BNC是一款IRC代理服务程序。
        BNC在处理后退字符(ASCII 8)时存在问题,远程攻击者可以利用这个漏洞发送包含后退字符
        的数据删除和替代发送给BNC服务程序的数据并执行任意BNC命令。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:bnc:bnc:2.8.8
cpe:/a:bnc:bnc:2.4.6
cpe:/a:bnc:bnc:2.6
cpe:/a:bnc:bnc:2.6.2
cpe:/a:bnc:bnc:2.2.4
cpe:/a:bnc:bnc:2.4.8

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1482
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1482
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-946
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/11355
(PATCH)  BID  11355
http://www.gentoo.org/security/en/glsa/glsa-200410-13.xml
(PATCH)  GENTOO  GLSA-200410-13
http://secunia.com/advisories/12770/
(PATCH)  SECUNIA  12770
http://xforce.iss.net/xforce/xfdb/17672
(UNKNOWN)  XF  bnc-backspace-command-execution(17672)
http://www.osvdb.org/10596
(UNKNOWN)  OSVDB  10596

- 漏洞信息

BNC后退键处理远程任意BNC命令执行漏洞
高危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        BNC是一款IRC代理服务程序。
        BNC在处理后退字符(ASCII 8)时存在问题,远程攻击者可以利用这个漏洞发送包含后退字符
        的数据删除和替代发送给BNC服务程序的数据并执行任意BNC命令。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        BNC
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        升级到最新程序2.8.9版本:
        
        http://www.gotbnc.com/download.html

- 漏洞信息

10596
BNC IRC Proxy Unspecified Backspace Issue
Remote / Network Access Input Manipulation
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

BNC contains a flaw related to the handling of the backspace character that may allow an attacker to execute arbitrary BNC commands. No further details have been provided.

- 时间线

2004-10-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.8.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站